@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
      [attr.data-test-element-id]="'requirement-version-view'"
      #dropRequirementVersionViewZone
      [sqtmCoreDraggableDropZone]="'requirement-version-view'"
      (drop)="dropIntoRequirementVersion($event, componentData)"
      (dragEnter)="
        dragEnterRequirementVersionView(
          $event,
          componentData.requirementVersion.highLevelRequirement
        )
      "
      (dragLeave)="
        dragLeaveRequirementVersionView(
          componentData.requirementVersion.highLevelRequirement
        )
      "
      (dragCancel)="removeBorderOnRequirementVersionView()"
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <sqtm-app-requirement-view-information
            [requirementVersionViewComponentData]="componentData"
            [customFieldData]="customFieldData"
          ></sqtm-app-requirement-view-information>
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.test-case-workspace.title.information' | translate
              }}
            </div>
          </ng-template>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'rate'"
          [sqtmCoreAnchorCollapsePanel]="'rate'"
          [nzHeader]="rateTitle"
          [nzExtra]="rateHelp"
        >
          <sqtm-app-requirement-version-view-rate-panel
            [isHighLevelRequirementView]="
              componentData.requirementVersion.highLevelRequirement
            "
          >
          </sqtm-app-requirement-version-view-rate-panel>
          <ng-template #rateTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.requirement-workspace.title.rate' | translate }}
            </div>
          </ng-template>
          <ng-template #rateHelp>
            <div class="panel-buttons">
              <i
                [attr.data-test-icon-id]="'help-rate'"
                nz-icon
                nzType="sqtm-core-generic:help"
                nzTheme="outline"
                nz-tooltip
                [nzTooltipTitle]="rateTooltip"
                class="current-workspace-button action-icon-size"
              >
              </i>
            </div>
          </ng-template>
          <ng-template #rateTooltip>
            <span
              style="width: 600px"
              [innerHTML]="
                'sqtm-core.requirement-workspace.rate.help' | translate
              "
            ></span>
          </ng-template>
        </nz-collapse-panel>
        @if (componentData.requirementVersion.highLevelRequirement) {
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'linked-low-level-requirements'"
            [sqtmCoreAnchorCollapsePanel]="'linked-low-level-requirements'"
            [nzHeader]="lowLevelRequirementVersionLinkTitle"
            [nzExtra]="requirementVersionLinkAction"
            [attr.data-test-element-id]="'linked-low-level-requirement-table'"
            #dropLowLevelToHighLevelRequirementZone
            [sqtmCoreDraggableDropZone]="'linked-low-level-requirement-table'"
            (drop)="dropIntoHighLevelRequirement($event, componentData)"
            (dragEnter)="dragEnterLowLevelRequirementsTable($event)"
            (dragLeave)="dragLeaveLowLevelRequirementsTable($event)"
            (dragCancel)="removeBorderOnLowLevelRequirementsTable()"
          >
            <sqtm-app-linked-low-lvl-requirement-table></sqtm-app-linked-low-lvl-requirement-table>
            <ng-template #lowLevelRequirementVersionLinkTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.requirement-workspace.title.low-level-requirement-version-link'
                    | translate
                }}
              </div>
            </ng-template>
            <ng-template #requirementVersionLinkAction>
              @if (
                componentData.permissions.canLink &&
                componentData.requirementVersion.status !== 'OBSOLETE'
              ) {
                <div class="panel-buttons">
                  <div
                    (click)="toggleHighLevelRequirementChildrenDrawer($event)"
                  >
                    <i
                      [attr.data-test-icon-id]="
                        'add-linked-low-level-requirements'
                      "
                      nz-icon
                      nzType="sqtm-core-generic:add"
                      nzTheme="outline"
                      nz-tooltip
                      [nzTooltipTitle]="
                        'sqtm-core.requirement-workspace.requirement-links.link'
                          | translate
                      "
                      class="current-workspace-button action-icon-size"
                    >
                    </i>
                  </div>
                  <div (click)="stopPropagation($event)">
                    <sqtm-core-toggle-icon
                      [active]="
                        requirementViewService.linkedLowLevelRequirementsGrid
                          .hasSelectedRows$ | async
                      "
                      (clickedInActiveMode)="removeLinkedLowLevelRequirements()"
                    >
                      <i
                        [attr.data-test-icon-id]="
                          'remove-linked-low-level-requirements'
                        "
                        nz-icon
                        nzTheme="outline"
                        class="action-icon-size"
                        nz-tooltip
                        nzTooltipPlacement="topRight"
                        [nzTooltipTitle]="
                          'sqtm-core.requirement-workspace.requirement-links.unlink.plural'
                            | translate
                        "
                        [nzType]="'sqtm-core-generic:unlink'"
                      ></i>
                    </sqtm-core-toggle-icon>
                  </div>
                </div>
              }
            </ng-template>
          </nz-collapse-panel>
        }
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'linked-test-case'"
          [sqtmCoreAnchorCollapsePanel]="'linked-test-case'"
          [nzHeader]="linkedTestCaseTitle"
          [nzExtra]="verifyingTestCaseAction"
        >
          <sqtm-app-verifying-test-case-table></sqtm-app-verifying-test-case-table>
          <ng-template #linkedTestCaseTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.requirement-workspace.title.linked-test-case'
                  | translate
              }}
            </div>
          </ng-template>
          <ng-template #verifyingTestCaseAction>
            @if (
              componentData.permissions.canLink &&
              componentData.requirementVersion.status !== 'OBSOLETE'
            ) {
              <div class="panel-buttons">
                <div (click)="toggleTestCaseDrawer($event)">
                  <i
                    [attr.data-test-icon-id]="'add-verifying-test-case'"
                    nz-icon
                    nzType="sqtm-core-generic:add"
                    nzTheme="outline"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.requirement-workspace.verifying-test-case.link'
                        | translate
                    "
                    class="current-workspace-button action-icon-size"
                  >
                  </i>
                </div>
                <div (click)="stopPropagation($event)">
                  <i
                    [attr.data-test-icon-id]="'search-coverages'"
                    nz-icon
                    nzType="sqtm-core-tree:search"
                    nzTheme="outline"
                    class="current-workspace-button action-icon-size remove-chrome-router-link-border"
                    nz-tooltip="{{
                      'sqtm-core.requirement-workspace.verifying-test-case.search'
                        | translate
                        | capitalize
                    }}"
                    nzTooltipPlacement="topRight"
                    [routerLink]="[
                      '/search/test-case/coverage/',
                      componentData.requirementVersion.id
                    ]"
                  >
                  </i>
                </div>
                <div (click)="stopPropagation($event)">
                  <sqtm-core-toggle-icon
                    [active]="
                      requirementViewService.verifyingTestCaseHasSelectedRows$
                        | async
                    "
                    (clickedInActiveMode)="removeVerifyingTestCases()"
                  >
                    <i
                      [attr.data-test-icon-id]="'remove-verifying-test-case'"
                      nz-icon
                      nzTheme="outline"
                      class="action-icon-size"
                      nz-tooltip
                      nzTooltipPlacement="topRight"
                      [nzTooltipTitle]="
                        'sqtm-core.requirement-workspace.verifying-test-case.unlink.plural'
                          | translate
                      "
                      [nzType]="'sqtm-core-generic:unlink'"
                    ></i>
                  </sqtm-core-toggle-icon>
                </div>
              </div>
            }
          </ng-template>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'requirement-version-links'"
          [sqtmCoreAnchorCollapsePanel]="'requirement-version-links'"
          [nzHeader]="requirementVersionLinkTitle"
          [nzExtra]="highLevelRequirementVersionLinkAction"
          [attr.data-test-element-id]="'requirement-links-table'"
          #dropRequirementLinksZone
          [sqtmCoreDraggableDropZone]="'requirement-links-table'"
          (drop)="dropIntoHighLevelRequirement($event, componentData)"
          (dragEnter)="
            dragEnterRequirementLinksTable(
              $event,
              componentData.requirementVersion.highLevelRequirement
            )
          "
          (dragLeave)="
            dragLeaveRequirementLinksTable(
              $event,
              componentData.requirementVersion.highLevelRequirement
            )
          "
          (dragCancel)="
            removeBorderOnRequirementLinksTable(
              componentData.requirementVersion.highLevelRequirement
            )
          "
          sqtmCoreAnchorLastPanel
        >
          <sqtm-app-requirement-version-link-table></sqtm-app-requirement-version-link-table>
          <ng-template #requirementVersionLinkTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.requirement-workspace.title.requirement-version-link'
                  | translate
              }}
            </div>
          </ng-template>
          <ng-template #highLevelRequirementVersionLinkAction>
            @if (
              componentData.permissions.canLink &&
              componentData.requirementVersion.status !== 'OBSOLETE'
            ) {
              <div class="panel-buttons">
                <div (click)="toggleRequirementDrawer($event)">
                  <i
                    [attr.data-test-icon-id]="'add-requirement-links'"
                    nz-icon
                    nzType="sqtm-core-generic:add"
                    nzTheme="outline"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.requirement-workspace.requirement-links.link'
                        | translate
                    "
                    class="current-workspace-button action-icon-size"
                  >
                  </i>
                </div>
                <div (click)="stopPropagation($event)">
                  <sqtm-core-toggle-icon
                    [active]="
                      requirementViewService.requirementVersionLinkGrid
                        .hasSelectedRows$ | async
                    "
                    (clickedInActiveMode)="removeRequirementVersionLinks()"
                  >
                    <i
                      [attr.data-test-icon-id]="'remove-requirement-links'"
                      nz-icon
                      nzTheme="outline"
                      class="action-icon-size"
                      nz-tooltip
                      nzTooltipPlacement="topRight"
                      [nzTooltipTitle]="
                        'sqtm-core.requirement-workspace.requirement-links.unlink.plural'
                          | translate
                      "
                      [nzType]="'sqtm-core-generic:unlink'"
                    ></i>
                  </sqtm-core-toggle-icon>
                </div>
              </div>
            }
          </ng-template>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
